Package it.ernytech.tdlib

## Class TdApi.NotificationSettings

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.NotificationSettings

Enclosing class:
  TdApi

    public static class TdApi.NotificationSettings
    extends TdApi.Object

Contains information about notification settings for a chat or several chats.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `muteFor` Time left before notifications will be unmuted, in seconds.
`boolean` `showPreview` True, if message content should be displayed in notifications.
`java.lang.String` `sound` An audio file name for notification sounds; only applies to iOS applications.

### Constructor Summary

Constructors
`NotificationSettings()` Default constructor.
`NotificationSettings​(int muteFor, java.lang.String sound, boolean showPreview)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### muteFor

    public int muteFor

Time left before notifications will be unmuted, in seconds.

#### sound

    public java.lang.String sound

An audio file name for notification sounds; only applies to iOS applications.

#### showPreview

    public boolean showPreview

True, if message content should be displayed in notifications.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### NotificationSettings

    public NotificationSettings()

Default constructor.

#### NotificationSettings

    public NotificationSettings​(int muteFor,
                                java.lang.String sound,
                                boolean showPreview)

Constructor for initialization of all fields.

Parameters:
  `muteFor` - Time left before notifications will be unmuted, in seconds.
  `sound` - An audio file name for notification sounds; only applies to iOS applications.
  `showPreview` - True, if message content should be displayed in notifications.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR